  <template>
  <div id="app">
    <Header />

    <video-bg :sources="video" :img="bg">
      <b-container>
        <Buscador />
      </b-container>
      <b-container>
        <b-row>
          <b-col md="6" class="my-1">
            <b-pagination
              @change="onPageChanged"
              :total-rows="totalRows"
              :per-page="perPage"
              v-model="currentPage"
              class="my-0"
              align="center"
            />
          </b-col>
        </b-row>
      </b-container>
      <b-container>
        <b-card-group deck>
          <b-col cols="12" sm="4" class="my-1" :key="index" v-for="(item, index) in paginatedItems">
            <TeamSmall :team="item" />
          </b-col>
        </b-card-group>
      </b-container>
      <b-container>
        <b-row>
          <b-col md="6" class="my-1">
            <b-pagination
              @change="onPageChanged"
              :total-rows="totalRows"
              :per-page="perPage"
              v-model="currentPage"
              class="my-0"
              align="center"
            />
          </b-col>
        </b-row>
      </b-container>
    </video-bg>
    <Footer />
  </div>
</template>

<script>
import Header from "./components/Header";
import Buscador from "./components/Buscador";
import TeamSmall from "./components/TeamSmall";
import Footer from "./components/Footer";

export default {
  name: "app",
  components: {
    Header,
    Buscador,
    TeamSmall,
    Footer
  },
  data() {
    return {
      teams: [],
      paginatedItems: [],
      currentPage: 1,
      perPage: 6,
      totalRows: 0,
      video: [
        require("./assets/video/hiking_football.mp4"),
        require("./assets/video/kickingfootball.mp4"),
        require("./assets/video/throwingfootball.mp4")
      ],
      bg: "./assets/back.jpg"
    };
  },
  methods: {
    paginate(page_size, page_number) {
      let itemsToParse = this.teams;
      this.paginatedItems = itemsToParse.slice(
        page_number * page_size,
        (page_number + 1) * page_size
      );
    },
    onPageChanged(page) {
      this.paginate(this.perPage, page - 1);
    }
  },
  mounted: function() {
    fetch("https://api.collegefootballdata.com/teams", {
      method: "get"
    })
      .then(response => {
        return response.json();
      })
      .then(jsonData => {
        this.teams = jsonData;
        this.paginate(this.perPage, 0);
        this.totalRows = this.teams.length;
      });
  }
};
</script>

<style>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  background-color: #f0f0f0;
}
</style>
